#
# PySNMP MIB module IF-MIB (http://pysnmp.sf.net)
# ASN.1 source file:///usr/share/snmp/mibs/IF-MIB.txt
# Produced by pysmi-0.0.3 at Wed Jul  1 22:25:37 2015
# On host cray platform Linux version 2.6.37.6-smp by user ilya
# Using Python version 2.7.2 (default, Apr  2 2012, 20:32:47) 
#
( Integer, ObjectIdentifier, OctetString, ) = mibBuilder.importSymbols("ASN1", "Integer", "ObjectIdentifier", "OctetString")
( NamedValues, ) = mibBuilder.importSymbols("ASN1-ENUMERATION", "NamedValues")
( ConstraintsUnion, SingleValueConstraint, ConstraintsIntersection, ValueSizeConstraint, ValueRangeConstraint, ) = mibBuilder.importSymbols("ASN1-REFINEMENT", "ConstraintsUnion", "SingleValueConstraint", "ConstraintsIntersection", "ValueSizeConstraint", "ValueRangeConstraint")
( IANAifType, ) = mibBuilder.importSymbols("IANAifType-MIB", "IANAifType")
( NotificationGroup, ModuleCompliance, ObjectGroup, ) = mibBuilder.importSymbols("SNMPv2-CONF", "NotificationGroup", "ModuleCompliance", "ObjectGroup")
( snmpTraps, ) = mibBuilder.importSymbols("SNMPv2-MIB", "snmpTraps")
( Integer32, MibScalar, MibTable, MibTableRow, MibTableColumn, NotificationType, MibIdentifier, mib_2, IpAddress, TimeTicks, Counter64, Unsigned32, ModuleIdentity, Gauge32, iso, ObjectIdentity, Bits, Counter32, ) = mibBuilder.importSymbols("SNMPv2-SMI", "Integer32", "MibScalar", "MibTable", "MibTableRow", "MibTableColumn", "NotificationType", "MibIdentifier", "mib-2", "IpAddress", "TimeTicks", "Counter64", "Unsigned32", "ModuleIdentity", "Gauge32", "iso", "ObjectIdentity", "Bits", "Counter32")
( TextualConvention, AutonomousType, TruthValue, TimeStamp, TestAndIncr, RowStatus, DisplayString, PhysAddress, ) = mibBuilder.importSymbols("SNMPv2-TC", "TextualConvention", "AutonomousType", "TruthValue", "TimeStamp", "TestAndIncr", "RowStatus", "DisplayString", "PhysAddress")
ifMIB = ModuleIdentity((1, 3, 6, 1, 2, 1, 31)).setRevisions(("2000-06-14 00:00", "1996-02-28 21:55", "1993-11-08 21:55",))
if mibBuilder.loadTexts: ifMIB.setOrganization('IETF Interfaces MIB Working Group')
if mibBuilder.loadTexts: ifMIB.setContactInfo('   Keith McCloghrie\n                Cisco Systems, Inc.\n                170 West Tasman Drive\n                San Jose, CA  95134-1706\n                US\n\n                408-526-5260\n                kzm@cisco.com')
if mibBuilder.loadTexts: ifMIB.setDescription("The MIB module to describe generic objects for network\n            interface sub-layers.  This MIB is an updated version of\n            MIB-II's ifTable, and incorporates the extensions defined in\n            RFC 1229.")
ifMIBObjects = MibIdentifier((1, 3, 6, 1, 2, 1, 31, 1))
interfaces = MibIdentifier((1, 3, 6, 1, 2, 1, 2))
class OwnerString(OctetString, TextualConvention):
    displayHint = '255a'
    subtypeSpec = OctetString.subtypeSpec+ValueSizeConstraint(0,255)

class InterfaceIndex(Integer32, TextualConvention):
    displayHint = 'd'
    subtypeSpec = Integer32.subtypeSpec+ValueRangeConstraint(1,2147483647)

class InterfaceIndexOrZero(Integer32, TextualConvention):
    displayHint = 'd'
    subtypeSpec = Integer32.subtypeSpec+ValueRangeConstraint(0,2147483647)

ifNumber = MibScalar((1, 3, 6, 1, 2, 1, 2, 1), Integer32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifNumber.setDescription('The number of network interfaces (regardless of their\n            current state) present on this system.')
ifTableLastChange = MibScalar((1, 3, 6, 1, 2, 1, 31, 1, 5), TimeTicks()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifTableLastChange.setDescription('The value of sysUpTime at the time of the last creation or\n            deletion of an entry in the ifTable.  If the number of\n            entries has been unchanged since the last re-initialization\n            of the local network management subsystem, then this object\n            contains a zero value.')
ifTable = MibTable((1, 3, 6, 1, 2, 1, 2, 2), )
if mibBuilder.loadTexts: ifTable.setDescription('A list of interface entries.  The number of entries is\n            given by the value of ifNumber.')
ifEntry = MibTableRow((1, 3, 6, 1, 2, 1, 2, 2, 1), ).setIndexNames((0, "IF-MIB", "ifIndex"))
if mibBuilder.loadTexts: ifEntry.setDescription('An entry containing management information applicable to a\n            particular interface.')
ifIndex = MibTableColumn((1, 3, 6, 1, 2, 1, 2, 2, 1, 1), InterfaceIndex()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifIndex.setDescription("A unique value, greater than zero, for each interface.  It\n            is recommended that values are assigned contiguously\n            starting from 1.  The value for each interface sub-layer\n            must remain constant at least from one re-initialization of\n            the entity's network management system to the next re-\n            initialization.")
ifDescr = MibTableColumn((1, 3, 6, 1, 2, 1, 2, 2, 1, 2), DisplayString().subtype(subtypeSpec=ValueSizeConstraint(0,255))).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifDescr.setDescription('A textual string containing information about the\n            interface.  This string should include the name of the\n            manufacturer, the product name and the version of the\n            interface hardware/software.')
ifType = MibTableColumn((1, 3, 6, 1, 2, 1, 2, 2, 1, 3), IANAifType()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifType.setDescription('The type of interface.  Additional values for ifType are\n            assigned by the Internet Assigned Numbers Authority (IANA),\n            through updating the syntax of the IANAifType textual\n            convention.')
ifMtu = MibTableColumn((1, 3, 6, 1, 2, 1, 2, 2, 1, 4), Integer32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifMtu.setDescription('The size of the largest packet which can be sent/received\n            on the interface, specified in octets.  For interfaces that\n            are used for transmitting network datagrams, this is the\n            size of the largest network datagram that can be sent on the\n            interface.')
ifSpeed = MibTableColumn((1, 3, 6, 1, 2, 1, 2, 2, 1, 5), Gauge32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifSpeed.setDescription("An estimate of the interface's current bandwidth in bits\n            per second.  For interfaces which do not vary in bandwidth\n            or for those where no accurate estimation can be made, this\n            object should contain the nominal bandwidth.  If the\n            bandwidth of the interface is greater than the maximum value\n            reportable by this object then this object should report its\n            maximum value (4,294,967,295) and ifHighSpeed must be used\n            to report the interace's speed.  For a sub-layer which has\n            no concept of bandwidth, this object should be zero.")
ifPhysAddress = MibTableColumn((1, 3, 6, 1, 2, 1, 2, 2, 1, 6), PhysAddress()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifPhysAddress.setDescription("The interface's address at its protocol sub-layer.  For\n            example, for an 802.x interface, this object normally\n            contains a MAC address.  The interface's media-specific MIB\n            must define the bit and byte ordering and the format of the\n            value of this object.  For interfaces which do not have such\n            an address (e.g., a serial line), this object should contain\n            an octet string of zero length.")
ifAdminStatus = MibTableColumn((1, 3, 6, 1, 2, 1, 2, 2, 1, 7), Integer32().subtype(subtypeSpec=SingleValueConstraint(1, 2, 3,)).clone(namedValues=NamedValues(("up", 1), ("down", 2), ("testing", 3),))).setMaxAccess("readwrite")
if mibBuilder.loadTexts: ifAdminStatus.setDescription('The desired state of the interface.  The testing(3) state\n            indicates that no operational packets can be passed.  When a\n            managed system initializes, all interfaces start with\n            ifAdminStatus in the down(2) state.  As a result of either\n            explicit management action or per configuration information\n            retained by the managed system, ifAdminStatus is then\n            changed to either the up(1) or testing(3) states (or remains\n            in the down(2) state).')
ifOperStatus = MibTableColumn((1, 3, 6, 1, 2, 1, 2, 2, 1, 8), Integer32().subtype(subtypeSpec=SingleValueConstraint(1, 2, 3, 4, 5, 6, 7,)).clone(namedValues=NamedValues(("up", 1), ("down", 2), ("testing", 3), ("unknown", 4), ("dormant", 5), ("notPresent", 6), ("lowerLayerDown", 7),))).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifOperStatus.setDescription('The current operational state of the interface.  The\n            testing(3) state indicates that no operational packets can\n            be passed.  If ifAdminStatus is down(2) then ifOperStatus\n            should be down(2).  If ifAdminStatus is changed to up(1)\n            then ifOperStatus should change to up(1) if the interface is\n            ready to transmit and receive network traffic; it should\n            change to dormant(5) if the interface is waiting for\n            external actions (such as a serial line waiting for an\n            incoming connection); it should remain in the down(2) state\n            if and only if there is a fault that prevents it from going\n            to the up(1) state; it should remain in the notPresent(6)\n            state if the interface has missing (typically, hardware)\n            components.')
ifLastChange = MibTableColumn((1, 3, 6, 1, 2, 1, 2, 2, 1, 9), TimeTicks()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifLastChange.setDescription('The value of sysUpTime at the time the interface entered\n            its current operational state.  If the current state was\n            entered prior to the last re-initialization of the local\n            network management subsystem, then this object contains a\n            zero value.')
ifInOctets = MibTableColumn((1, 3, 6, 1, 2, 1, 2, 2, 1, 10), Counter32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifInOctets.setDescription('The total number of octets received on the interface,\n            including framing characters.\n\n            Discontinuities in the value of this counter can occur at\n            re-initialization of the management system, and at other\n            times as indicated by the value of\n            ifCounterDiscontinuityTime.')
ifInUcastPkts = MibTableColumn((1, 3, 6, 1, 2, 1, 2, 2, 1, 11), Counter32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifInUcastPkts.setDescription('The number of packets, delivered by this sub-layer to a\n            higher (sub-)layer, which were not addressed to a multicast\n            or broadcast address at this sub-layer.\n\n            Discontinuities in the value of this counter can occur at\n            re-initialization of the management system, and at other\n            times as indicated by the value of\n            ifCounterDiscontinuityTime.')
ifInNUcastPkts = MibTableColumn((1, 3, 6, 1, 2, 1, 2, 2, 1, 12), Counter32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifInNUcastPkts.setDescription('The number of packets, delivered by this sub-layer to a\n            higher (sub-)layer, which were addressed to a multicast or\n            broadcast address at this sub-layer.\n\n            Discontinuities in the value of this counter can occur at\n            re-initialization of the management system, and at other\n            times as indicated by the value of\n            ifCounterDiscontinuityTime.\n\n            This object is deprecated in favour of ifInMulticastPkts and\n            ifInBroadcastPkts.')
ifInDiscards = MibTableColumn((1, 3, 6, 1, 2, 1, 2, 2, 1, 13), Counter32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifInDiscards.setDescription('The number of inbound packets which were chosen to be\n            discarded even though no errors had been detected to prevent\n\n            their being deliverable to a higher-layer protocol.  One\n            possible reason for discarding such a packet could be to\n            free up buffer space.\n\n            Discontinuities in the value of this counter can occur at\n            re-initialization of the management system, and at other\n            times as indicated by the value of\n            ifCounterDiscontinuityTime.')
ifInErrors = MibTableColumn((1, 3, 6, 1, 2, 1, 2, 2, 1, 14), Counter32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifInErrors.setDescription('For packet-oriented interfaces, the number of inbound\n            packets that contained errors preventing them from being\n            deliverable to a higher-layer protocol.  For character-\n            oriented or fixed-length interfaces, the number of inbound\n            transmission units that contained errors preventing them\n            from being deliverable to a higher-layer protocol.\n\n            Discontinuities in the value of this counter can occur at\n            re-initialization of the management system, and at other\n            times as indicated by the value of\n            ifCounterDiscontinuityTime.')
ifInUnknownProtos = MibTableColumn((1, 3, 6, 1, 2, 1, 2, 2, 1, 15), Counter32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifInUnknownProtos.setDescription('For packet-oriented interfaces, the number of packets\n            received via the interface which were discarded because of\n            an unknown or unsupported protocol.  For character-oriented\n            or fixed-length interfaces that support protocol\n            multiplexing the number of transmission units received via\n            the interface which were discarded because of an unknown or\n            unsupported protocol.  For any interface that does not\n            support protocol multiplexing, this counter will always be\n            0.\n\n            Discontinuities in the value of this counter can occur at\n            re-initialization of the management system, and at other\n            times as indicated by the value of\n            ifCounterDiscontinuityTime.')
ifOutOctets = MibTableColumn((1, 3, 6, 1, 2, 1, 2, 2, 1, 16), Counter32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifOutOctets.setDescription('The total number of octets transmitted out of the\n            interface, including framing characters.\n\n            Discontinuities in the value of this counter can occur at\n            re-initialization of the management system, and at other\n            times as indicated by the value of\n            ifCounterDiscontinuityTime.')
ifOutUcastPkts = MibTableColumn((1, 3, 6, 1, 2, 1, 2, 2, 1, 17), Counter32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifOutUcastPkts.setDescription('The total number of packets that higher-level protocols\n            requested be transmitted, and which were not addressed to a\n            multicast or broadcast address at this sub-layer, including\n            those that were discarded or not sent.\n\n            Discontinuities in the value of this counter can occur at\n            re-initialization of the management system, and at other\n            times as indicated by the value of\n            ifCounterDiscontinuityTime.')
ifOutNUcastPkts = MibTableColumn((1, 3, 6, 1, 2, 1, 2, 2, 1, 18), Counter32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifOutNUcastPkts.setDescription('The total number of packets that higher-level protocols\n            requested be transmitted, and which were addressed to a\n            multicast or broadcast address at this sub-layer, including\n            those that were discarded or not sent.\n\n            Discontinuities in the value of this counter can occur at\n            re-initialization of the management system, and at other\n            times as indicated by the value of\n            ifCounterDiscontinuityTime.\n\n            This object is deprecated in favour of ifOutMulticastPkts\n            and ifOutBroadcastPkts.')
ifOutDiscards = MibTableColumn((1, 3, 6, 1, 2, 1, 2, 2, 1, 19), Counter32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifOutDiscards.setDescription('The number of outbound packets which were chosen to be\n            discarded even though no errors had been detected to prevent\n            their being transmitted.  One possible reason for discarding\n            such a packet could be to free up buffer space.\n\n            Discontinuities in the value of this counter can occur at\n            re-initialization of the management system, and at other\n            times as indicated by the value of\n            ifCounterDiscontinuityTime.')
ifOutErrors = MibTableColumn((1, 3, 6, 1, 2, 1, 2, 2, 1, 20), Counter32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifOutErrors.setDescription('For packet-oriented interfaces, the number of outbound\n            packets that could not be transmitted because of errors.\n            For character-oriented or fixed-length interfaces, the\n            number of outbound transmission units that could not be\n            transmitted because of errors.\n\n            Discontinuities in the value of this counter can occur at\n            re-initialization of the management system, and at other\n            times as indicated by the value of\n            ifCounterDiscontinuityTime.')
ifOutQLen = MibTableColumn((1, 3, 6, 1, 2, 1, 2, 2, 1, 21), Gauge32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifOutQLen.setDescription('The length of the output packet queue (in packets).')
ifSpecific = MibTableColumn((1, 3, 6, 1, 2, 1, 2, 2, 1, 22), ObjectIdentifier()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifSpecific.setDescription('A reference to MIB definitions specific to the particular\n            media being used to realize the interface.  It is\n\n            recommended that this value point to an instance of a MIB\n            object in the media-specific MIB, i.e., that this object\n            have the semantics associated with the InstancePointer\n            textual convention defined in RFC 2579.  In fact, it is\n            recommended that the media-specific MIB specify what value\n            ifSpecific should/can take for values of ifType.  If no MIB\n            definitions specific to the particular media are available,\n            the value should be set to the OBJECT IDENTIFIER { 0 0 }.')
ifXTable = MibTable((1, 3, 6, 1, 2, 1, 31, 1, 1), )
if mibBuilder.loadTexts: ifXTable.setDescription('A list of interface entries.  The number of entries is\n            given by the value of ifNumber.  This table contains\n            additional objects for the interface table.')
ifXEntry = MibTableRow((1, 3, 6, 1, 2, 1, 31, 1, 1, 1), )
ifEntry.registerAugmentions(("IF-MIB", "ifXEntry"))
ifXEntry.setIndexNames(*ifEntry.getIndexNames())
if mibBuilder.loadTexts: ifXEntry.setDescription('An entry containing additional management information\n            applicable to a particular interface.')
ifName = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 1, 1, 1), DisplayString()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifName.setDescription("The textual name of the interface.  The value of this\n            object should be the name of the interface as assigned by\n            the local device and should be suitable for use in commands\n            entered at the device's `console'.  This might be a text\n            name, such as `le0' or a simple port number, such as `1',\n            depending on the interface naming syntax of the device.  If\n            several entries in the ifTable together represent a single\n            interface as named by the device, then each will have the\n            same value of ifName.  Note that for an agent which responds\n            to SNMP queries concerning an interface on some other\n            (proxied) device, then the value of ifName for such an\n            interface is the proxied device's local name for it.\n\n            If there is no local name, or this object is otherwise not\n            applicable, then this object contains a zero-length string.")
ifInMulticastPkts = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 1, 1, 2), Counter32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifInMulticastPkts.setDescription('The number of packets, delivered by this sub-layer to a\n            higher (sub-)layer, which were addressed to a multicast\n            address at this sub-layer.  For a MAC layer protocol, this\n            includes both Group and Functional addresses.\n\n            Discontinuities in the value of this counter can occur at\n            re-initialization of the management system, and at other\n\n            times as indicated by the value of\n            ifCounterDiscontinuityTime.')
ifInBroadcastPkts = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 1, 1, 3), Counter32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifInBroadcastPkts.setDescription('The number of packets, delivered by this sub-layer to a\n            higher (sub-)layer, which were addressed to a broadcast\n            address at this sub-layer.\n\n            Discontinuities in the value of this counter can occur at\n            re-initialization of the management system, and at other\n            times as indicated by the value of\n            ifCounterDiscontinuityTime.')
ifOutMulticastPkts = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 1, 1, 4), Counter32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifOutMulticastPkts.setDescription('The total number of packets that higher-level protocols\n            requested be transmitted, and which were addressed to a\n            multicast address at this sub-layer, including those that\n            were discarded or not sent.  For a MAC layer protocol, this\n            includes both Group and Functional addresses.\n\n            Discontinuities in the value of this counter can occur at\n            re-initialization of the management system, and at other\n            times as indicated by the value of\n            ifCounterDiscontinuityTime.')
ifOutBroadcastPkts = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 1, 1, 5), Counter32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifOutBroadcastPkts.setDescription('The total number of packets that higher-level protocols\n            requested be transmitted, and which were addressed to a\n            broadcast address at this sub-layer, including those that\n            were discarded or not sent.\n\n            Discontinuities in the value of this counter can occur at\n            re-initialization of the management system, and at other\n\n            times as indicated by the value of\n            ifCounterDiscontinuityTime.')
ifHCInOctets = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 1, 1, 6), Counter64()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifHCInOctets.setDescription('The total number of octets received on the interface,\n            including framing characters.  This object is a 64-bit\n            version of ifInOctets.\n\n            Discontinuities in the value of this counter can occur at\n            re-initialization of the management system, and at other\n            times as indicated by the value of\n            ifCounterDiscontinuityTime.')
ifHCInUcastPkts = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 1, 1, 7), Counter64()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifHCInUcastPkts.setDescription('The number of packets, delivered by this sub-layer to a\n            higher (sub-)layer, which were not addressed to a multicast\n            or broadcast address at this sub-layer.  This object is a\n            64-bit version of ifInUcastPkts.\n\n            Discontinuities in the value of this counter can occur at\n            re-initialization of the management system, and at other\n            times as indicated by the value of\n            ifCounterDiscontinuityTime.')
ifHCInMulticastPkts = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 1, 1, 8), Counter64()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifHCInMulticastPkts.setDescription('The number of packets, delivered by this sub-layer to a\n            higher (sub-)layer, which were addressed to a multicast\n            address at this sub-layer.  For a MAC layer protocol, this\n            includes both Group and Functional addresses.  This object\n            is a 64-bit version of ifInMulticastPkts.\n\n            Discontinuities in the value of this counter can occur at\n            re-initialization of the management system, and at other\n            times as indicated by the value of\n            ifCounterDiscontinuityTime.')
ifHCInBroadcastPkts = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 1, 1, 9), Counter64()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifHCInBroadcastPkts.setDescription('The number of packets, delivered by this sub-layer to a\n            higher (sub-)layer, which were addressed to a broadcast\n            address at this sub-layer.  This object is a 64-bit version\n            of ifInBroadcastPkts.\n\n            Discontinuities in the value of this counter can occur at\n            re-initialization of the management system, and at other\n            times as indicated by the value of\n            ifCounterDiscontinuityTime.')
ifHCOutOctets = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 1, 1, 10), Counter64()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifHCOutOctets.setDescription('The total number of octets transmitted out of the\n            interface, including framing characters.  This object is a\n            64-bit version of ifOutOctets.\n\n            Discontinuities in the value of this counter can occur at\n            re-initialization of the management system, and at other\n            times as indicated by the value of\n            ifCounterDiscontinuityTime.')
ifHCOutUcastPkts = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 1, 1, 11), Counter64()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifHCOutUcastPkts.setDescription('The total number of packets that higher-level protocols\n            requested be transmitted, and which were not addressed to a\n            multicast or broadcast address at this sub-layer, including\n            those that were discarded or not sent.  This object is a\n            64-bit version of ifOutUcastPkts.\n\n            Discontinuities in the value of this counter can occur at\n            re-initialization of the management system, and at other\n            times as indicated by the value of\n            ifCounterDiscontinuityTime.')
ifHCOutMulticastPkts = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 1, 1, 12), Counter64()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifHCOutMulticastPkts.setDescription('The total number of packets that higher-level protocols\n            requested be transmitted, and which were addressed to a\n            multicast address at this sub-layer, including those that\n            were discarded or not sent.  For a MAC layer protocol, this\n            includes both Group and Functional addresses.  This object\n            is a 64-bit version of ifOutMulticastPkts.\n\n            Discontinuities in the value of this counter can occur at\n            re-initialization of the management system, and at other\n            times as indicated by the value of\n            ifCounterDiscontinuityTime.')
ifHCOutBroadcastPkts = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 1, 1, 13), Counter64()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifHCOutBroadcastPkts.setDescription('The total number of packets that higher-level protocols\n            requested be transmitted, and which were addressed to a\n            broadcast address at this sub-layer, including those that\n            were discarded or not sent.  This object is a 64-bit version\n            of ifOutBroadcastPkts.\n\n            Discontinuities in the value of this counter can occur at\n            re-initialization of the management system, and at other\n            times as indicated by the value of\n            ifCounterDiscontinuityTime.')
ifLinkUpDownTrapEnable = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 1, 1, 14), Integer32().subtype(subtypeSpec=SingleValueConstraint(1, 2,)).clone(namedValues=NamedValues(("enabled", 1), ("disabled", 2),))).setMaxAccess("readwrite")
if mibBuilder.loadTexts: ifLinkUpDownTrapEnable.setDescription("Indicates whether linkUp/linkDown traps should be generated\n            for this interface.\n\n            By default, this object should have the value enabled(1) for\n            interfaces which do not operate on 'top' of any other\n            interface (as defined in the ifStackTable), and disabled(2)\n            otherwise.")
ifHighSpeed = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 1, 1, 15), Gauge32()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifHighSpeed.setDescription("An estimate of the interface's current bandwidth in units\n            of 1,000,000 bits per second.  If this object reports a\n            value of `n' then the speed of the interface is somewhere in\n            the range of `n-500,000' to `n+499,999'.  For interfaces\n            which do not vary in bandwidth or for those where no\n            accurate estimation can be made, this object should contain\n            the nominal bandwidth.  For a sub-layer which has no concept\n            of bandwidth, this object should be zero.")
ifPromiscuousMode = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 1, 1, 16), TruthValue()).setMaxAccess("readwrite")
if mibBuilder.loadTexts: ifPromiscuousMode.setDescription('This object has a value of false(2) if this interface only\n            accepts packets/frames that are addressed to this station.\n            This object has a value of true(1) when the station accepts\n            all packets/frames transmitted on the media.  The value\n            true(1) is only legal on certain types of media.  If legal,\n            setting this object to a value of true(1) may require the\n            interface to be reset before becoming effective.\n\n            The value of ifPromiscuousMode does not affect the reception\n            of broadcast and multicast packets/frames by the interface.')
ifConnectorPresent = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 1, 1, 17), TruthValue()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifConnectorPresent.setDescription("This object has the value 'true(1)' if the interface\n            sublayer has a physical connector and the value 'false(2)'\n            otherwise.")
ifAlias = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 1, 1, 18), DisplayString().subtype(subtypeSpec=ValueSizeConstraint(0,64))).setMaxAccess("readwrite")
if mibBuilder.loadTexts: ifAlias.setDescription("This object is an 'alias' name for the interface as\n            specified by a network manager, and provides a non-volatile\n            'handle' for the interface.\n\n            On the first instantiation of an interface, the value of\n            ifAlias associated with that interface is the zero-length\n            string.  As and when a value is written into an instance of\n            ifAlias through a network management set operation, then the\n            agent must retain the supplied value in the ifAlias instance\n            associated with the same interface for as long as that\n            interface remains instantiated, including across all re-\n            initializations/reboots of the network management system,\n            including those which result in a change of the interface's\n            ifIndex value.\n\n            An example of the value which a network manager might store\n            in this object for a WAN interface is the (Telco's) circuit\n            number/identifier of the interface.\n\n            Some agents may support write-access only for interfaces\n            having particular values of ifType.  An agent which supports\n            write access to this object is required to keep the value in\n            non-volatile storage, but it may limit the length of new\n            values depending on how much storage is already occupied by\n            the current values for other interfaces.")
ifCounterDiscontinuityTime = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 1, 1, 19), TimeStamp()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifCounterDiscontinuityTime.setDescription("The value of sysUpTime on the most recent occasion at which\n            any one or more of this interface's counters suffered a\n            discontinuity.  The relevant counters are the specific\n            instances associated with this interface of any Counter32 or\n\n            Counter64 object contained in the ifTable or ifXTable.  If\n            no such discontinuities have occurred since the last re-\n            initialization of the local management subsystem, then this\n            object contains a zero value.")
ifStackTable = MibTable((1, 3, 6, 1, 2, 1, 31, 1, 2), )
if mibBuilder.loadTexts: ifStackTable.setDescription("The table containing information on the relationships\n            between the multiple sub-layers of network interfaces.  In\n            particular, it contains information on which sub-layers run\n            'on top of' which other sub-layers, where each sub-layer\n            corresponds to a conceptual row in the ifTable.  For\n            example, when the sub-layer with ifIndex value x runs over\n            the sub-layer with ifIndex value y, then this table\n            contains:\n\n              ifStackStatus.x.y=active\n\n            For each ifIndex value, I, which identifies an active\n            interface, there are always at least two instantiated rows\n            in this table associated with I.  For one of these rows, I\n            is the value of ifStackHigherLayer; for the other, I is the\n            value of ifStackLowerLayer.  (If I is not involved in\n            multiplexing, then these are the only two rows associated\n            with I.)\n\n            For example, two rows exist even for an interface which has\n            no others stacked on top or below it:\n\n              ifStackStatus.0.x=active\n              ifStackStatus.x.0=active ")
ifStackEntry = MibTableRow((1, 3, 6, 1, 2, 1, 31, 1, 2, 1), ).setIndexNames((0, "IF-MIB", "ifStackHigherLayer"), (0, "IF-MIB", "ifStackLowerLayer"))
if mibBuilder.loadTexts: ifStackEntry.setDescription("Information on a particular relationship between two sub-\n            layers, specifying that one sub-layer runs on 'top' of the\n            other sub-layer.  Each sub-layer corresponds to a conceptual\n            row in the ifTable.")
ifStackHigherLayer = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 2, 1, 1), InterfaceIndexOrZero())
if mibBuilder.loadTexts: ifStackHigherLayer.setDescription("The value of ifIndex corresponding to the higher sub-layer\n            of the relationship, i.e., the sub-layer which runs on 'top'\n            of the sub-layer identified by the corresponding instance of\n            ifStackLowerLayer.  If there is no higher sub-layer (below\n            the internetwork layer), then this object has the value 0.")
ifStackLowerLayer = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 2, 1, 2), InterfaceIndexOrZero())
if mibBuilder.loadTexts: ifStackLowerLayer.setDescription("The value of ifIndex corresponding to the lower sub-layer\n            of the relationship, i.e., the sub-layer which runs 'below'\n            the sub-layer identified by the corresponding instance of\n            ifStackHigherLayer.  If there is no lower sub-layer, then\n            this object has the value 0.")
ifStackStatus = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 2, 1, 3), RowStatus()).setMaxAccess("readcreate")
if mibBuilder.loadTexts: ifStackStatus.setDescription("The status of the relationship between two sub-layers.\n\n            Changing the value of this object from 'active' to\n            'notInService' or 'destroy' will likely have consequences up\n            and down the interface stack.  Thus, write access to this\n            object is likely to be inappropriate for some types of\n            interfaces, and many implementations will choose not to\n            support write-access for any type of interface.")
ifStackLastChange = MibScalar((1, 3, 6, 1, 2, 1, 31, 1, 6), TimeTicks()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifStackLastChange.setDescription('The value of sysUpTime at the time of the last change of\n            the (whole) interface stack.  A change of the interface\n            stack is defined to be any creation, deletion, or change in\n            value of any instance of ifStackStatus.  If the interface\n            stack has been unchanged since the last re-initialization of\n            the local network management subsystem, then this object\n            contains a zero value.')
ifRcvAddressTable = MibTable((1, 3, 6, 1, 2, 1, 31, 1, 4), )
if mibBuilder.loadTexts: ifRcvAddressTable.setDescription('This table contains an entry for each address (broadcast,\n            multicast, or uni-cast) for which the system will receive\n            packets/frames on a particular interface, except as follows:\n\n            - for an interface operating in promiscuous mode, entries\n            are only required for those addresses for which the system\n            would receive frames were it not operating in promiscuous\n            mode.\n\n            - for 802.5 functional addresses, only one entry is\n            required, for the address which has the functional address\n            bit ANDed with the bit mask of all functional addresses for\n            which the interface will accept frames.\n\n            A system is normally able to use any unicast address which\n            corresponds to an entry in this table as a source address.')
ifRcvAddressEntry = MibTableRow((1, 3, 6, 1, 2, 1, 31, 1, 4, 1), ).setIndexNames((0, "IF-MIB", "ifIndex"), (0, "IF-MIB", "ifRcvAddressAddress"))
if mibBuilder.loadTexts: ifRcvAddressEntry.setDescription('A list of objects identifying an address for which the\n            system will accept packets/frames on the particular\n            interface identified by the index value ifIndex.')
ifRcvAddressAddress = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 4, 1, 1), PhysAddress())
if mibBuilder.loadTexts: ifRcvAddressAddress.setDescription("An address for which the system will accept packets/frames\n            on this entry's interface.")
ifRcvAddressStatus = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 4, 1, 2), RowStatus()).setMaxAccess("readcreate")
if mibBuilder.loadTexts: ifRcvAddressStatus.setDescription('This object is used to create and delete rows in the\n            ifRcvAddressTable.')
ifRcvAddressType = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 4, 1, 3), Integer32().subtype(subtypeSpec=SingleValueConstraint(1, 2, 3,)).clone(namedValues=NamedValues(("other", 1), ("volatile", 2), ("nonVolatile", 3),)).clone('volatile')).setMaxAccess("readcreate")
if mibBuilder.loadTexts: ifRcvAddressType.setDescription('This object has the value nonVolatile(3) for those entries\n            in the table which are valid and will not be deleted by the\n            next restart of the managed system.  Entries having the\n            value volatile(2) are valid and exist, but have not been\n            saved, so that will not exist after the next restart of the\n            managed system.  Entries having the value other(1) are valid\n            and exist but are not classified as to whether they will\n            continue to exist after the next restart.')
linkDown = NotificationType((1, 3, 6, 1, 6, 3, 1, 1, 5, 3)).setObjects(*(("IF-MIB", "ifIndex"), ("IF-MIB", "ifAdminStatus"), ("IF-MIB", "ifOperStatus"),))
if mibBuilder.loadTexts: linkDown.setDescription('A linkDown trap signifies that the SNMP entity, acting in\n            an agent role, has detected that the ifOperStatus object for\n            one of its communication links is about to enter the down\n            state from some other state (but not from the notPresent\n            state).  This other state is indicated by the included value\n            of ifOperStatus.')
linkUp = NotificationType((1, 3, 6, 1, 6, 3, 1, 1, 5, 4)).setObjects(*(("IF-MIB", "ifIndex"), ("IF-MIB", "ifAdminStatus"), ("IF-MIB", "ifOperStatus"),))
if mibBuilder.loadTexts: linkUp.setDescription('A linkUp trap signifies that the SNMP entity, acting in an\n            agent role, has detected that the ifOperStatus object for\n            one of its communication links left the down state and\n            transitioned into some other state (but not into the\n            notPresent state).  This other state is indicated by the\n            included value of ifOperStatus.')
ifConformance = MibIdentifier((1, 3, 6, 1, 2, 1, 31, 2))
ifGroups = MibIdentifier((1, 3, 6, 1, 2, 1, 31, 2, 1))
ifCompliances = MibIdentifier((1, 3, 6, 1, 2, 1, 31, 2, 2))
ifCompliance3 = ModuleCompliance((1, 3, 6, 1, 2, 1, 31, 2, 2, 3)).setObjects(*(("IF-MIB", "ifGeneralInformationGroup"), ("IF-MIB", "linkUpDownNotificationsGroup"), ("IF-MIB", "ifFixedLengthGroup"), ("IF-MIB", "ifHCFixedLengthGroup"), ("IF-MIB", "ifPacketGroup"), ("IF-MIB", "ifHCPacketGroup"), ("IF-MIB", "ifVHCPacketGroup"), ("IF-MIB", "ifCounterDiscontinuityGroup"), ("IF-MIB", "ifRcvAddressGroup"),))
if mibBuilder.loadTexts: ifCompliance3.setDescription('The compliance statement for SNMP entities which have\n            network interfaces.')
ifGeneralInformationGroup = ObjectGroup((1, 3, 6, 1, 2, 1, 31, 2, 1, 10)).setObjects(*(("IF-MIB", "ifIndex"), ("IF-MIB", "ifDescr"), ("IF-MIB", "ifType"), ("IF-MIB", "ifSpeed"), ("IF-MIB", "ifPhysAddress"), ("IF-MIB", "ifAdminStatus"), ("IF-MIB", "ifOperStatus"), ("IF-MIB", "ifLastChange"), ("IF-MIB", "ifLinkUpDownTrapEnable"), ("IF-MIB", "ifConnectorPresent"), ("IF-MIB", "ifHighSpeed"), ("IF-MIB", "ifName"), ("IF-MIB", "ifNumber"), ("IF-MIB", "ifAlias"), ("IF-MIB", "ifTableLastChange"),))
if mibBuilder.loadTexts: ifGeneralInformationGroup.setDescription('A collection of objects providing information applicable to\n            all network interfaces.')
ifFixedLengthGroup = ObjectGroup((1, 3, 6, 1, 2, 1, 31, 2, 1, 2)).setObjects(*(("IF-MIB", "ifInOctets"), ("IF-MIB", "ifOutOctets"), ("IF-MIB", "ifInUnknownProtos"), ("IF-MIB", "ifInErrors"), ("IF-MIB", "ifOutErrors"),))
if mibBuilder.loadTexts: ifFixedLengthGroup.setDescription('A collection of objects providing information specific to\n            non-high speed (non-high speed interfaces transmit and\n            receive at speeds less than or equal to 20,000,000\n            bits/second) character-oriented or fixed-length-transmission\n            network interfaces.')
ifHCFixedLengthGroup = ObjectGroup((1, 3, 6, 1, 2, 1, 31, 2, 1, 3)).setObjects(*(("IF-MIB", "ifHCInOctets"), ("IF-MIB", "ifHCOutOctets"), ("IF-MIB", "ifInOctets"), ("IF-MIB", "ifOutOctets"), ("IF-MIB", "ifInUnknownProtos"), ("IF-MIB", "ifInErrors"), ("IF-MIB", "ifOutErrors"),))
if mibBuilder.loadTexts: ifHCFixedLengthGroup.setDescription('A collection of objects providing information specific to\n            high speed (greater than 20,000,000 bits/second) character-\n            oriented or fixed-length-transmission network interfaces.')
ifPacketGroup = ObjectGroup((1, 3, 6, 1, 2, 1, 31, 2, 1, 4)).setObjects(*(("IF-MIB", "ifInOctets"), ("IF-MIB", "ifOutOctets"), ("IF-MIB", "ifInUnknownProtos"), ("IF-MIB", "ifInErrors"), ("IF-MIB", "ifOutErrors"), ("IF-MIB", "ifMtu"), ("IF-MIB", "ifInUcastPkts"), ("IF-MIB", "ifInMulticastPkts"), ("IF-MIB", "ifInBroadcastPkts"), ("IF-MIB", "ifInDiscards"), ("IF-MIB", "ifOutUcastPkts"), ("IF-MIB", "ifOutMulticastPkts"), ("IF-MIB", "ifOutBroadcastPkts"), ("IF-MIB", "ifOutDiscards"), ("IF-MIB", "ifPromiscuousMode"),))
if mibBuilder.loadTexts: ifPacketGroup.setDescription('A collection of objects providing information specific to\n            non-high speed (non-high speed interfaces transmit and\n            receive at speeds less than or equal to 20,000,000\n            bits/second) packet-oriented network interfaces.')
ifHCPacketGroup = ObjectGroup((1, 3, 6, 1, 2, 1, 31, 2, 1, 5)).setObjects(*(("IF-MIB", "ifHCInOctets"), ("IF-MIB", "ifHCOutOctets"), ("IF-MIB", "ifInOctets"), ("IF-MIB", "ifOutOctets"), ("IF-MIB", "ifInUnknownProtos"), ("IF-MIB", "ifInErrors"), ("IF-MIB", "ifOutErrors"), ("IF-MIB", "ifMtu"), ("IF-MIB", "ifInUcastPkts"), ("IF-MIB", "ifInMulticastPkts"), ("IF-MIB", "ifInBroadcastPkts"), ("IF-MIB", "ifInDiscards"), ("IF-MIB", "ifOutUcastPkts"), ("IF-MIB", "ifOutMulticastPkts"), ("IF-MIB", "ifOutBroadcastPkts"), ("IF-MIB", "ifOutDiscards"), ("IF-MIB", "ifPromiscuousMode"),))
if mibBuilder.loadTexts: ifHCPacketGroup.setDescription('A collection of objects providing information specific to\n            high speed (greater than 20,000,000 bits/second but less\n            than or equal to 650,000,000 bits/second) packet-oriented\n            network interfaces.')
ifVHCPacketGroup = ObjectGroup((1, 3, 6, 1, 2, 1, 31, 2, 1, 6)).setObjects(*(("IF-MIB", "ifHCInUcastPkts"), ("IF-MIB", "ifHCInMulticastPkts"), ("IF-MIB", "ifHCInBroadcastPkts"), ("IF-MIB", "ifHCOutUcastPkts"), ("IF-MIB", "ifHCOutMulticastPkts"), ("IF-MIB", "ifHCOutBroadcastPkts"), ("IF-MIB", "ifHCInOctets"), ("IF-MIB", "ifHCOutOctets"), ("IF-MIB", "ifInOctets"), ("IF-MIB", "ifOutOctets"), ("IF-MIB", "ifInUnknownProtos"), ("IF-MIB", "ifInErrors"), ("IF-MIB", "ifOutErrors"), ("IF-MIB", "ifMtu"), ("IF-MIB", "ifInUcastPkts"), ("IF-MIB", "ifInMulticastPkts"), ("IF-MIB", "ifInBroadcastPkts"), ("IF-MIB", "ifInDiscards"), ("IF-MIB", "ifOutUcastPkts"), ("IF-MIB", "ifOutMulticastPkts"), ("IF-MIB", "ifOutBroadcastPkts"), ("IF-MIB", "ifOutDiscards"), ("IF-MIB", "ifPromiscuousMode"),))
if mibBuilder.loadTexts: ifVHCPacketGroup.setDescription('A collection of objects providing information specific to\n            higher speed (greater than 650,000,000 bits/second) packet-\n            oriented network interfaces.')
ifRcvAddressGroup = ObjectGroup((1, 3, 6, 1, 2, 1, 31, 2, 1, 7)).setObjects(*(("IF-MIB", "ifRcvAddressStatus"), ("IF-MIB", "ifRcvAddressType"),))
if mibBuilder.loadTexts: ifRcvAddressGroup.setDescription('A collection of objects providing information on the\n            multiple addresses which an interface receives.')
ifStackGroup2 = ObjectGroup((1, 3, 6, 1, 2, 1, 31, 2, 1, 11)).setObjects(*(("IF-MIB", "ifStackStatus"), ("IF-MIB", "ifStackLastChange"),))
if mibBuilder.loadTexts: ifStackGroup2.setDescription('A collection of objects providing information on the\n            layering of MIB-II interfaces.')
ifCounterDiscontinuityGroup = ObjectGroup((1, 3, 6, 1, 2, 1, 31, 2, 1, 13)).setObjects(*(("IF-MIB", "ifCounterDiscontinuityTime"),))
if mibBuilder.loadTexts: ifCounterDiscontinuityGroup.setDescription('A collection of objects providing information specific to\n            interface counter discontinuities.')
linkUpDownNotificationsGroup = NotificationGroup((1, 3, 6, 1, 2, 1, 31, 2, 1, 14)).setObjects(*(("IF-MIB", "linkUp"), ("IF-MIB", "linkDown"),))
if mibBuilder.loadTexts: linkUpDownNotificationsGroup.setDescription('The notifications which indicate specific changes in the\n            value of ifOperStatus.')
ifTestTable = MibTable((1, 3, 6, 1, 2, 1, 31, 1, 3), )
if mibBuilder.loadTexts: ifTestTable.setDescription("This table contains one entry per interface.  It defines\n            objects which allow a network manager to instruct an agent\n            to test an interface for various faults.  Tests for an\n            interface are defined in the media-specific MIB for that\n            interface.  After invoking a test, the object ifTestResult\n            can be read to determine the outcome.  If an agent can not\n            perform the test, ifTestResult is set to so indicate.  The\n            object ifTestCode can be used to provide further test-\n            specific or interface-specific (or even enterprise-specific)\n            information concerning the outcome of the test.  Only one\n            test can be in progress on each interface at any one time.\n            If one test is in progress when another test is invoked, the\n            second test is rejected.  Some agents may reject a test when\n            a prior test is active on another interface.\n\n            Before starting a test, a manager-station must first obtain\n            'ownership' of the entry in the ifTestTable for the\n            interface to be tested.  This is accomplished with the\n            ifTestId and ifTestStatus objects as follows:\n\n          try_again:\n              get (ifTestId, ifTestStatus)\n              while (ifTestStatus != notInUse)\n                  /*\n                   * Loop while a test is running or some other\n                   * manager is configuring a test.\n                   */\n                  short delay\n                  get (ifTestId, ifTestStatus)\n              }\n\n              /*\n               * Is not being used right now -- let's compete\n               * to see who gets it.\n               */\n              lock_value = ifTestId\n\n              if ( set(ifTestId = lock_value, ifTestStatus = inUse,\n                       ifTestOwner = 'my-IP-address') == FAILURE)\n                  /*\n                   * Another manager got the ifTestEntry -- go\n                   * try again\n                   */\n                  goto try_again;\n\n              /*\n               * I have the lock\n               */\n              set up any test parameters.\n\n              /*\n               * This starts the test\n               */\n              set(ifTestType = test_to_run);\n\n              wait for test completion by polling ifTestResult\n\n              when test completes, agent sets ifTestResult\n                   agent also sets ifTestStatus = 'notInUse'\n\n              retrieve any additional test results, and ifTestId\n\n              if (ifTestId == lock_value+1) results are valid\n\n            A manager station first retrieves the value of the\n            appropriate ifTestId and ifTestStatus objects, periodically\n            repeating the retrieval if necessary, until the value of\n            ifTestStatus is 'notInUse'.  The manager station then tries\n            to set the same ifTestId object to the value it just\n            retrieved, the same ifTestStatus object to 'inUse', and the\n            corresponding ifTestOwner object to a value indicating\n            itself.  If the set operation succeeds then the manager has\n            obtained ownership of the ifTestEntry, and the value of the\n            ifTestId object is incremented by the agent (per the\n            semantics of TestAndIncr).  Failure of the set operation\n            indicates that some other manager has obtained ownership of\n            the ifTestEntry.\n\n            Once ownership is obtained, any test parameters can be\n            setup, and then the test is initiated by setting ifTestType.\n            On completion of the test, the agent sets ifTestStatus to\n            'notInUse'.  Once this occurs, the manager can retrieve the\n            results.  In the (rare) event that the invocation of tests\n            by two network managers were to overlap, then there would be\n            a possibility that the first test's results might be\n            overwritten by the second test's results prior to the first\n\n            results being read.  This unlikely circumstance can be\n            detected by a network manager retrieving ifTestId at the\n            same time as retrieving the test results, and ensuring that\n            the results are for the desired request.\n\n            If ifTestType is not set within an abnormally long period of\n            time after ownership is obtained, the agent should time-out\n            the manager, and reset the value of the ifTestStatus object\n            back to 'notInUse'.  It is suggested that this time-out\n            period be 5 minutes.\n\n            In general, a management station must not retransmit a\n            request to invoke a test for which it does not receive a\n            response; instead, it properly inspects an agent's MIB to\n            determine if the invocation was successful.  Only if the\n            invocation was unsuccessful, is the invocation request\n            retransmitted.\n\n            Some tests may require the interface to be taken off-line in\n            order to execute them, or may even require the agent to\n            reboot after completion of the test.  In these\n            circumstances, communication with the management station\n            invoking the test may be lost until after completion of the\n            test.  An agent is not required to support such tests.\n            However, if such tests are supported, then the agent should\n            make every effort to transmit a response to the request\n            which invoked the test prior to losing communication.  When\n            the agent is restored to normal service, the results of the\n            test are properly made available in the appropriate objects.\n            Note that this requires that the ifIndex value assigned to\n            an interface must be unchanged even if the test causes a\n            reboot.  An agent must reject any test for which it cannot,\n            perhaps due to resource constraints, make available at least\n            the minimum amount of information after that test\n            completes.")
ifTestEntry = MibTableRow((1, 3, 6, 1, 2, 1, 31, 1, 3, 1), )
ifEntry.registerAugmentions(("IF-MIB", "ifTestEntry"))
ifTestEntry.setIndexNames(*ifEntry.getIndexNames())
if mibBuilder.loadTexts: ifTestEntry.setDescription('An entry containing objects for invoking tests on an\n            interface.')
ifTestId = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 3, 1, 1), TestAndIncr()).setMaxAccess("readwrite")
if mibBuilder.loadTexts: ifTestId.setDescription("This object identifies the current invocation of the\n            interface's test.")
ifTestStatus = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 3, 1, 2), Integer32().subtype(subtypeSpec=SingleValueConstraint(1, 2,)).clone(namedValues=NamedValues(("notInUse", 1), ("inUse", 2),))).setMaxAccess("readwrite")
if mibBuilder.loadTexts: ifTestStatus.setDescription("This object indicates whether or not some manager currently\n            has the necessary 'ownership' required to invoke a test on\n            this interface.  A write to this object is only successful\n            when it changes its value from 'notInUse(1)' to 'inUse(2)'.\n            After completion of a test, the agent resets the value back\n            to 'notInUse(1)'.")
ifTestType = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 3, 1, 3), AutonomousType()).setMaxAccess("readwrite")
if mibBuilder.loadTexts: ifTestType.setDescription('A control variable used to start and stop operator-\n            initiated interface tests.  Most OBJECT IDENTIFIER values\n            assigned to tests are defined elsewhere, in association with\n            specific types of interface.  However, this document assigns\n            a value for a full-duplex loopback test, and defines the\n            special meanings of the subject identifier:\n\n                noTest  OBJECT IDENTIFIER ::= { 0 0 }\n\n            When the value noTest is written to this object, no action\n            is taken unless a test is in progress, in which case the\n            test is aborted.  Writing any other value to this object is\n\n            only valid when no test is currently in progress, in which\n            case the indicated test is initiated.\n\n            When read, this object always returns the most recent value\n            that ifTestType was set to.  If it has not been set since\n            the last initialization of the network management subsystem\n            on the agent, a value of noTest is returned.')
ifTestResult = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 3, 1, 4), Integer32().subtype(subtypeSpec=SingleValueConstraint(1, 2, 3, 4, 5, 6, 7,)).clone(namedValues=NamedValues(("none", 1), ("success", 2), ("inProgress", 3), ("notSupported", 4), ("unAbleToRun", 5), ("aborted", 6), ("failed", 7),))).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifTestResult.setDescription('This object contains the result of the most recently\n            requested test, or the value none(1) if no tests have been\n            requested since the last reset.  Note that this facility\n            provides no provision for saving the results of one test\n            when starting another, as could be required if used by\n            multiple managers concurrently.')
ifTestCode = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 3, 1, 5), ObjectIdentifier()).setMaxAccess("readonly")
if mibBuilder.loadTexts: ifTestCode.setDescription('This object contains a code which contains more specific\n            information on the test result, for example an error-code\n            after a failed test.  Error codes and other values this\n            object may take are specific to the type of interface and/or\n            test.  The value may have the semantics of either the\n            AutonomousType or InstancePointer textual conventions as\n            defined in RFC 2579.  The identifier:\n\n                testCodeUnknown  OBJECT IDENTIFIER ::= { 0 0 }\n\n            is defined for use if no additional result code is\n            available.')
ifTestOwner = MibTableColumn((1, 3, 6, 1, 2, 1, 31, 1, 3, 1, 6), OwnerString()).setMaxAccess("readwrite")
if mibBuilder.loadTexts: ifTestOwner.setDescription("The entity which currently has the 'ownership' required to\n            invoke a test on this interface.")
ifGeneralGroup = ObjectGroup((1, 3, 6, 1, 2, 1, 31, 2, 1, 1)).setObjects(*(("IF-MIB", "ifDescr"), ("IF-MIB", "ifType"), ("IF-MIB", "ifSpeed"), ("IF-MIB", "ifPhysAddress"), ("IF-MIB", "ifAdminStatus"), ("IF-MIB", "ifOperStatus"), ("IF-MIB", "ifLastChange"), ("IF-MIB", "ifLinkUpDownTrapEnable"), ("IF-MIB", "ifConnectorPresent"), ("IF-MIB", "ifHighSpeed"), ("IF-MIB", "ifName"),))
if mibBuilder.loadTexts: ifGeneralGroup.setDescription('A collection of objects deprecated in favour of\n            ifGeneralInformationGroup.')
ifTestGroup = ObjectGroup((1, 3, 6, 1, 2, 1, 31, 2, 1, 8)).setObjects(*(("IF-MIB", "ifTestId"), ("IF-MIB", "ifTestStatus"), ("IF-MIB", "ifTestType"), ("IF-MIB", "ifTestResult"), ("IF-MIB", "ifTestCode"), ("IF-MIB", "ifTestOwner"),))
if mibBuilder.loadTexts: ifTestGroup.setDescription('A collection of objects providing the ability to invoke\n            tests on an interface.')
ifStackGroup = ObjectGroup((1, 3, 6, 1, 2, 1, 31, 2, 1, 9)).setObjects(*(("IF-MIB", "ifStackStatus"),))
if mibBuilder.loadTexts: ifStackGroup.setDescription('The previous collection of objects providing information on\n            the layering of MIB-II interfaces.')
ifOldObjectsGroup = ObjectGroup((1, 3, 6, 1, 2, 1, 31, 2, 1, 12)).setObjects(*(("IF-MIB", "ifInNUcastPkts"), ("IF-MIB", "ifOutNUcastPkts"), ("IF-MIB", "ifOutQLen"), ("IF-MIB", "ifSpecific"),))
if mibBuilder.loadTexts: ifOldObjectsGroup.setDescription('The collection of objects deprecated from the original MIB-\n            II interfaces group.')
ifCompliance = ModuleCompliance((1, 3, 6, 1, 2, 1, 31, 2, 2, 1)).setObjects(*(("IF-MIB", "ifGeneralGroup"), ("IF-MIB", "ifStackGroup"), ("IF-MIB", "ifFixedLengthGroup"), ("IF-MIB", "ifHCFixedLengthGroup"), ("IF-MIB", "ifPacketGroup"), ("IF-MIB", "ifHCPacketGroup"), ("IF-MIB", "ifTestGroup"), ("IF-MIB", "ifRcvAddressGroup"),))
if mibBuilder.loadTexts: ifCompliance.setDescription('A compliance statement defined in a previous version of\n            this MIB module, for SNMP entities which have network\n            interfaces.')
ifCompliance2 = ModuleCompliance((1, 3, 6, 1, 2, 1, 31, 2, 2, 2)).setObjects(*(("IF-MIB", "ifGeneralInformationGroup"), ("IF-MIB", "ifStackGroup2"), ("IF-MIB", "ifCounterDiscontinuityGroup"), ("IF-MIB", "ifFixedLengthGroup"), ("IF-MIB", "ifHCFixedLengthGroup"), ("IF-MIB", "ifPacketGroup"), ("IF-MIB", "ifHCPacketGroup"), ("IF-MIB", "ifRcvAddressGroup"),))
if mibBuilder.loadTexts: ifCompliance2.setDescription('A compliance statement defined in a previous version of\n            this MIB module, for SNMP entities which have network\n            interfaces.')
mibBuilder.exportSymbols("IF-MIB", ifRcvAddressTable=ifRcvAddressTable, PYSNMP_MODULE_ID=ifMIB, ifVHCPacketGroup=ifVHCPacketGroup, ifGeneralInformationGroup=ifGeneralInformationGroup, ifHCOutBroadcastPkts=ifHCOutBroadcastPkts, ifOutNUcastPkts=ifOutNUcastPkts, ifInBroadcastPkts=ifInBroadcastPkts, ifStackLastChange=ifStackLastChange, ifHighSpeed=ifHighSpeed, ifRcvAddressAddress=ifRcvAddressAddress, ifOperStatus=ifOperStatus, ifCompliance=ifCompliance, ifRcvAddressEntry=ifRcvAddressEntry, ifStackGroup2=ifStackGroup2, ifStackEntry=ifStackEntry, ifOutQLen=ifOutQLen, ifXEntry=ifXEntry, ifStackTable=ifStackTable, ifType=ifType, ifMIBObjects=ifMIBObjects, ifInMulticastPkts=ifInMulticastPkts, ifNumber=ifNumber, ifHCInUcastPkts=ifHCInUcastPkts, ifFixedLengthGroup=ifFixedLengthGroup, ifHCInBroadcastPkts=ifHCInBroadcastPkts, ifOldObjectsGroup=ifOldObjectsGroup, ifGeneralGroup=ifGeneralGroup, ifStackHigherLayer=ifStackHigherLayer, ifStackStatus=ifStackStatus, ifAdminStatus=ifAdminStatus, ifOutMulticastPkts=ifOutMulticastPkts, ifSpeed=ifSpeed, ifInUnknownProtos=ifInUnknownProtos, interfaces=interfaces, ifPacketGroup=ifPacketGroup, ifXTable=ifXTable, ifHCInMulticastPkts=ifHCInMulticastPkts, ifLinkUpDownTrapEnable=ifLinkUpDownTrapEnable, ifTable=ifTable, ifInUcastPkts=ifInUcastPkts, OwnerString=OwnerString, ifConformance=ifConformance, ifPhysAddress=ifPhysAddress, ifInDiscards=ifInDiscards, ifTestType=ifTestType, ifHCOutUcastPkts=ifHCOutUcastPkts, ifCompliances=ifCompliances, ifTestEntry=ifTestEntry, ifGroups=ifGroups, ifTestCode=ifTestCode, ifOutErrors=ifOutErrors, ifTestId=ifTestId, ifHCPacketGroup=ifHCPacketGroup, ifOutUcastPkts=ifOutUcastPkts, linkUpDownNotificationsGroup=linkUpDownNotificationsGroup, ifStackGroup=ifStackGroup, InterfaceIndexOrZero=InterfaceIndexOrZero, ifInNUcastPkts=ifInNUcastPkts, ifLastChange=ifLastChange, ifTestStatus=ifTestStatus, ifEntry=ifEntry, ifTestOwner=ifTestOwner, ifTestResult=ifTestResult, ifHCOutMulticastPkts=ifHCOutMulticastPkts, ifName=ifName, ifRcvAddressStatus=ifRcvAddressStatus, ifTestGroup=ifTestGroup, ifHCFixedLengthGroup=ifHCFixedLengthGroup, ifIndex=ifIndex, ifOutOctets=ifOutOctets, ifCounterDiscontinuityGroup=ifCounterDiscontinuityGroup, ifAlias=ifAlias, ifMtu=ifMtu, ifStackLowerLayer=ifStackLowerLayer, ifConnectorPresent=ifConnectorPresent, ifRcvAddressGroup=ifRcvAddressGroup, ifHCInOctets=ifHCInOctets, ifDescr=ifDescr, ifRcvAddressType=ifRcvAddressType, ifOutDiscards=ifOutDiscards, ifInOctets=ifInOctets, InterfaceIndex=InterfaceIndex, ifOutBroadcastPkts=ifOutBroadcastPkts, linkDown=linkDown, ifPromiscuousMode=ifPromiscuousMode, ifMIB=ifMIB, ifHCOutOctets=ifHCOutOctets, ifCompliance2=ifCompliance2, ifCompliance3=ifCompliance3, ifSpecific=ifSpecific, ifTestTable=ifTestTable, ifTableLastChange=ifTableLastChange, ifCounterDiscontinuityTime=ifCounterDiscontinuityTime, linkUp=linkUp, ifInErrors=ifInErrors)
